@echo off
for %%D in (logs database automata) do mkdir "..\..\data\%%D" 2>nul

set ENV_FILE=..\.env
set WINDOWS_ENV_FILE=.env.windows
set TEMP_FILE=temp.env

for /f "delims=[] tokens=2" %%a in ('ping -4 -n 1 %ComputerName% ^| findstr [') do set NetworkIP=%%a
echo Host IP: %NetworkIP%

REM Check if .env.windows exists and copy its contents to .env
if exist %WINDOWS_ENV_FILE% (
    findstr /v /r "^NetworkIP=" %WINDOWS_ENV_FILE% > %TEMP_FILE%
    move /Y %TEMP_FILE% %ENV_FILE%
) else (
    echo. > %ENV_FILE%
)

REM Append the updated NetworkIP variable
echo HOST_IP=%NetworkIP%>> %ENV_FILE%