"""Run application

This file acts as the main entry point for starting the web interface.
"""

import sys

from uppaal2jetracer.webinterface.app import app, socketio

if __name__ == "__main__":
    DEBUG = "True"
    if len(sys.argv) > 1:
        DEBUG = sys.argv[1]
    DEBUG = DEBUG == "True"

    app.config["SHELL_DEBUG"] = DEBUG

    socketio.run(app, debug = DEBUG, host = '0.0.0.0', allow_unsafe_werkzeug = True)
